Skip to main content
POST
/
api
/
v1
/
node-runs
/
{nodeRunId}
/
download
Download a run output
curl --request POST \
  --url https://api.melius.com/api/v1/node-runs/{nodeRunId}/download \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-team-id: <api-key>' \
  --data '{}'
import requests

url = "https://api.melius.com/api/v1/node-runs/{nodeRunId}/download"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};

fetch('https://api.melius.com/api/v1/node-runs/{nodeRunId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "url": "<string>",
  "filename": "<string>",
  "size": 123
}
{
"message": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"message": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Path Parameters

nodeRunId
string<uuid>
required

Body

application/json

Body

The body is of type object.

Response

200

url
string
required
filename
string
required
size
integer
required
Last modified on July 9, 2026